local M = {
	run = ":TSUpdate",
	event = "User PackerDefered",
	requires = {
		"nvim-treesitter/nvim-treesitter-textobjects",
		"RRethy/nvim-treesitter-textsubjects",
		"nvim-treesitter/nvim-treesitter-refactor",
	},
}

function M.config()
	require("nvim-treesitter.configs").setup({
		ensure_installed = {
			"css",
			"go",
			"lua",
		},
		sync_install = false,
		auto_install = true,
	})
end

return M
